contractorbrokerimp = contractorbrokerimp or {}
contractorbrokerimp._path = ModPath
contractorbrokerimp.options_path = SavePath .. "contractorbrokerimp.txt"
contractorbrokerimp.options = {}

function contractorbrokerimp:Save()
	local file = io.open( self.options_path, "w+" )
	if file then
		file:write( json.encode( self.options ) )
		file:close()
	end
end

function contractorbrokerimp:Load()
	local file = io.open( self.options_path, "r" )
	if file then
		self.options = json.decode( file:read("*all") )
		file:close()
	else
	log("No previous save found. Creating new using default values")
	local default_file = io.open(self._path .."default_values.txt")
		if default_file then
			self.options = json.decode( default_file:read("*all") )
			self:Save()
		end
	end
end

if not contractorbrokerimp.setup then
	contractorbrokerimp:Load()
	contractorbrokerimp.setup = true
end

Hooks:Add("LocalizationManagerPostInit", "LocalizationManagerPostInit_contractorbrokerimp", function( loc )
	loc:load_localization_file( contractorbrokerimp._path .. "Loc/english.txt")
end)

Hooks:Add( "MenuManagerInitialize", "MenuManagerInitialize_contractorbrokerimp", function( menu_manager )

	MenuCallbackHandler.clbk_contractorbrokerimp_plusorminus = function(self, item)
		contractorbrokerimp.options.plusorminus = (item:value() =="on")
		contractorbrokerimp:Save()
	end

	MenuCallbackHandler.clbk_contractorbrokerimp_compact_mode = function(self, item)
		contractorbrokerimp.options.compact_mode = (item:value() =="on")
		contractorbrokerimp:Save()
	end

	contractorbrokerimp:Load()

	MenuHelper:LoadFromJsonFile( contractorbrokerimp._path .. "Menu/menu.txt", contractorbrokerimp, contractorbrokerimp.options )

end )
